OpenTTD Source: SoundDriver_Null Class Reference

OpenTTD Source 14.0-RC3

Public Member Functions
SoundDriver_Null Class Reference

Implementation of the null sound driver. More...

`#include <null_s.h>`

Inheritance diagram for SoundDriver_Null:

## Public Member Functions
const char * | Start (const StringList &) override
| Start this driver. More...
void | Stop () override
| Stop this driver.
const char * | GetName () const override
| Get the name of this driver. More...
bool | HasOutput () const override
| Whether the driver has an output from which the user can hear sound. More...
Public Member Functions inherited from SoundDriver
virtual void | MainLoop ()
| Called once every tick.

## Additional Inherited Members
Public Types inherited from Driver
enum | Type { DT_BEGIN = 0, DT_MUSIC = 0, DT_SOUND, DT_VIDEO, DT_END }
| The type of driver. More...
Static Public Member Functions inherited from SoundDriver
static SoundDriver * | GetInstance ()
| Get the currently active instance of the sound driver.

## Detailed Description

Implementation of the null sound driver.

Definition at line 16 of file null_s.h.

## Member Function Documentation

## ◆ GetName()

const char* SoundDriver_Null::GetName | ( |  | ) | const
| inlineoverridevirtual

Get the name of this driver.

Returns
  The name of the driver.

Implements Driver.

Definition at line 21 of file null_s.h.

## ◆ HasOutput()

bool SoundDriver_Null::HasOutput | ( |  | ) | const
| inlineoverridevirtual

Whether the driver has an output from which the user can hear sound.

Or in other words, whether we should warn the user if no soundset is loaded and that loading one would fix the sound problems.

Returns
  True for all drivers except null.

Reimplemented from SoundDriver.

Definition at line 22 of file null_s.h.

## ◆ Start()

const char* SoundDriver_Null::Start | ( | const StringList & | parm | ) |
| inlineoverridevirtual

Start this driver.

Parameters

  parm | Parameters passed to the driver.

Returns
  nullptr if everything went okay, otherwise an error message.

Implements Driver.

Definition at line 18 of file null_s.h.

The documentation for this class was generated from the following file:

- src/sound/null_s.h